%The function calculates the integral of the streamer inception criterion
%for values of the electric field aboce 2.5 kV/mm

function I = integrate_criterion(s)

    dim = size(s);              %Returns the number of [rows columns]
    s(:,2) = s(:,2) / 1000000;  %Changes unit from V/m to kV/mm
    s(:,1) = s(:,1) * 1000;     %Changes unit from m to mm
    
    %The for loop sums the effective ionisation coefficient of the
    %electric field data. Petcharaks 1995.
    I=0;
    for i=2:dim(1,1)
        if s(i,2)>2.588 && s(i,2)<=7.943 
            step = (s(i,1) - s(i-1,1)); %Calculating step in mm
            I = I + (1.6053*( s(i,2) - 2.165)^2 -0.2873)*step;
        elseif s(i,2)>7.943 && s(i,2)<=14
            step = (s(i,1) - s(i-1,1));
            I = I + (16.7766*s(i,2) - 80.0006)*step;
        elseif s(i,2)>14
            step = (s(i,1) - s(i-1,1));
            I = I + (1175*exp(-28.38*s(i,2)))*step;
        end
    end
end